スナップショット復元ジョブの状態を取得 (V2)
スナップショット復元ジョブの現在の状態を取得します。
POST/v2/vectordb/jobs/snapshot/describe
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
📘ノート
- サービングクラスターを使用している場合は、クラスターエンドポイントを使用してください。
Free & Serverless
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
パラメータ
Authorizationstringheader
認証トークンは、適切な権限を持つ API key である必要があります。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
jobIdstring必要
スナップショット復元ジョブの ID。
bash
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/snapshot/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "451799928999570161"
}'
レスポンス200 OK - application/json
スナップショット復元ジョブの現在の状態を取得します。
codeinteger必要
レスポンスコード。
dataobject必要
スナップショット復元ジョブの詳細情報。
jobIdinteger<int64>必要
復元ジョブの一意の識別子。
snapshotNamestring必要
復元中のスナップショットの名前。
dbNamestring必要
ターゲットデータベース名。
collectionNamestring必要
ターゲットコレクション名。
statestring必要
復元ジョブの現在の状態。
progressinteger必要
復元ジョブの進行状況(パーセント)。
reasonstring
復元ジョブが失敗した場合の失敗理由。
startTimestring
復元ジョブが開始されたタイムスタンプ。
timeCostinteger<int64>
復元ジョブの経過時間(ミリ秒)。
codeinteger必要
レスポンスコード。
messagestring必要
エラーメッセージ。
Successjson
{
"code": 0,
"data": {
"jobId": 451799928999570200,
"snapshotName": "snapshot_2026_01",
"dbName": "default",
"collectionName": "my_collection",
"state": "RestoreSnapshotCompleted",
"progress": 100,
"reason": "",
"startTime": "2026-01-01T00:00:00Z",
"timeCost": 1200
}
}